API ReferenceNote
Create note
Create note
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
The new Note resource
TypeScript Definitions
Use the request body type in TypeScript.
content*string
Length
length <= 100000name*string
Length
length <= 100deadline?|
Format
date-timecontractor*string
Format
uuidstatus*string
Format
iri-referenceassignedUser?|
Format
uuidResponse Body
curl -X POST "https://example.com/crm/notes" \ -H "Content-Type: application/json" \ -d '{ "content": "string", "name": "string", "contractor": "d84a0339-1f2e-4494-ad94-4a42561293a6", "status": "https://example.com/" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "content": "string", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "isExternal": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": false, "phoneNumber": "string", "jobPositionName": "string" }, "deadline": "2019-08-24T14:15:22Z", "contractor": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "fullName": "string", "pictureSm": "string", "pictureLg": "string", "email": "string", "phoneNumber": "string", "defaultLocation": "string", "shortCode": "string", "canManage": false, "vatId": "string", "attendants": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string" } ], "industryBranches": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "tags": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "customFields": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "valueId": "b772d050-4ba4-443b-8ca7-cc1e42bdd731", "name": "string", "description": "string", "dataType": "text", "valueText": "string", "valueFloat": "string", "valueDateTime": "2019-08-24T14:15:22Z", "valueSelectOptions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string", "weight": 0, "decorator": "#78909c" } ], "valueSelectUsers": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string" } ], "valueDepartment": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } } ] }, "status": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "decorator": "#78909c" }, "assignedUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "isExternal": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": false, "phoneNumber": "string", "jobPositionName": "string" }}